Skip to content

List Sources

GET
/data_syncer/source/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/source/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

Successfully retrieved syncer sources

Media typeapplication/json
object
code
integer
data
Array<object>
object
id

Unique identifier of the syncer source.

integer
name

Name of the syncer source.

string
status

Status of the syncer source.

string
start_date

Start date of the syncer source.

string format: date-time
nullable
file_search_filter

File search filter settings.

Array<string>
file_size_upper_limit

Upper limit of file size.

integer
file_size_lower_limit

Lower limit of file size.

integer
path_array

Array of file paths.

Array<string>
regex_pattern

Regular expression pattern for file filtering.

string
nullable
created_by
object
id

ID of the creator.

integer
name

Name of the creator.

string
email

Email of the creator.

string
username

Username of the creator.

string
created_at

Timestamp of creation.

string format: date-time
updated_at

Timestamp of last update.

string format: date-time
source_type

Type of the source.

string
source_connector
object
id

ID of the source connector.

integer
source_type

Type of the source connector.

string
name

Name of the source connector.

string
icon_url

URL of the icon for the source connector.

string
description

Description of the source connector.

string
configuration
object
bucket_name

Name of the storage bucket.

string
endpoint_url

Endpoint URL of the object storage.

string
access_key

Access key for authentication.

string
prefix

Prefix path within the bucket.

string
errors

Contains error details if any.

object
message

Response message.

string
total_page_number

Total number of pages available.

integer
total_count

Total number of syncer sources available.

integer

Example

{
"code": 200,
"data": [
{
"id": 214,
"name": "syncer-source-021917393333",
"status": "active",
"start_date": null,
"file_search_filter": [],
"file_size_upper_limit": 0,
"file_size_lower_limit": 0,
"path_array": [],
"regex_pattern": null,
"created_by": {
"id": 4945,
"name": "Rahul Tanwar",
"email": "rahul.tanwar@e2enetworks.com",
"username": "rahul.tanwar@e2enetworks.com"
},
"created_at": "2025-02-19T12:12:47.457714Z",
"updated_at": "2025-02-19T12:12:47.549457Z",
"source_type": "minio",
"source_connector": {
"id": 1,
"source_type": "minio",
"name": "MinIO",
"icon_url": "/data-syncer-images/minio.png",
"description": "MinIO is an open source object storage system."
},
"configuration": {
"bucket_name": "test-r1",
"endpoint_url": "objectstore.e2enetworks.net",
"access_key": "OYG8DNWGXK6TOQ2GX1PM",
"prefix": "/"
}
}
],
"errors": {},
"message": "Success",
"total_page_number": 1,
"total_count": 1
}